> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wrkout.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ExerciseIds

> Get all exercise IDs



## OpenAPI

````yaml get /exercise/exerciseIds
openapi: 3.0.1
info:
  title: OpenAPI Wrkout
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.wrkout.xyz
security:
  - ApiKeyAuth: []
paths:
  /exercise/exerciseIds:
    get:
      tags:
        - exercise
      description: Get all exercise IDs
      parameters:
        - name: limit
          in: query
          description: The amount of results returned
          required: false
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 25
        - name: after
          in: query
          description: cursor for pagination
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: cursor for pagination
          required: false
          schema:
            type: string
        - name: lang
          in: query
          description: >-
            Translation language requested. Please see the list of supported
            languages
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExerciseIds'
components:
  schemas:
    ExerciseIds:
      type: object
      properties:
        exercises:
          type: array
          items:
            type: object
            properties:
              id:
                description: The ID of the exercise
                type: string
              name:
                description: The name of the exercise (always in English)
                type: string
              displayName:
                description: The display name of the exercise to present to the user
                type: string
              aliases:
                description: The alternative names of the exercise
                type: array
                items:
                  type: string
              premiumImages:
                description: >-
                  The premium images for the exercise. Only returned based on
                  subscription plan
                type: array
                items:
                  type: string
              premiumVideos:
                description: >-
                  The premium videos for the exercise. Only returned based on
                  subscription plan
                type: array
                items:
                  type: string
        pagination:
          type: object
          properties:
            total:
              description: The total count of records
              type: number
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````